=== modified file 'daemons/librarian.tac'
--- daemons/librarian.tac	2011-12-29 05:29:36 +0000
+++ daemons/librarian.tac	2011-12-30 01:37:21 +0000
@@ -19,10 +19,10 @@
 from lp.services.daemons import readyservice
 from lp.services.scripts import execute_zcml_for_scripts
 
-from canonical.librarian.interfaces import DUMP_FILE, SIGDUMPMEM
 from canonical.librarian.libraryprotocol import FileUploadFactory
 from canonical.librarian import storage, db
 from canonical.librarian import web as fatweb
+from lp.services.librarian.interfaces.client import DUMP_FILE, SIGDUMPMEM
 from lp.services.twistedsupport.loggingsupport import set_up_oops_reporting
 
 # Connect to database

=== modified file 'lib/canonical/configure.zcml'
--- lib/canonical/configure.zcml	2011-12-24 19:14:51 +0000
+++ lib/canonical/configure.zcml	2011-12-30 01:37:21 +0000
@@ -17,7 +17,6 @@
     <include package="lazr.restful" file="meta.zcml" />
     <include package="lazr.uri" />
     <include package="lp" />
-    <include package="canonical.librarian" />
 
     <!-- The default Zope 3 configuration of the SimpleComponentTraverser is
         that it applies to any object that provides Interface.

=== renamed file 'lib/canonical/librarian/configure.zcml' => 'lib/lp/services/librarian/client.zcml'
--- lib/canonical/librarian/configure.zcml	2009-07-13 18:15:02 +0000
+++ lib/lp/services/librarian/client.zcml	2011-12-30 01:37:21 +0000
@@ -10,14 +10,14 @@
 
     <securedutility
         class=".client.LibrarianClient"
-        provides=".interfaces.ILibrarianClient">
-        <allow interface=".interfaces.ILibrarianClient" />
+        provides=".interfaces.client.ILibrarianClient">
+        <allow interface=".interfaces.client.ILibrarianClient" />
     </securedutility>
 
     <securedutility
         class=".client.RestrictedLibrarianClient"
-        provides=".interfaces.IRestrictedLibrarianClient">
-        <allow interface=".interfaces.IRestrictedLibrarianClient" />
+        provides=".interfaces.client.IRestrictedLibrarianClient">
+        <allow interface=".interfaces.client.IRestrictedLibrarianClient" />
     </securedutility>
 </configure>
 

=== modified file 'lib/lp/services/librarian/configure.zcml'
--- lib/lp/services/librarian/configure.zcml	2011-12-22 05:37:22 +0000
+++ lib/lp/services/librarian/configure.zcml	2011-12-30 01:37:21 +0000
@@ -8,6 +8,8 @@
     xmlns:zope="http://namespaces.zope.org/zope"
     i18n_domain="launchpad">
 
+  <include file="client.zcml" />
+
   <class class="lp.services.librarian.model.LibraryFileAlias">
     <allow interface="lp.services.librarian.interfaces.ILibraryFileAlias" />
   </class>

=== modified file 'lib/lp/services/librarian/tests/test_client.py'
--- lib/lp/services/librarian/tests/test_client.py	2011-12-30 01:14:33 +0000
+++ lib/lp/services/librarian/tests/test_client.py	2011-12-30 01:37:21 +0000
@@ -12,15 +12,15 @@
 import transaction
 
 from canonical.database.sqlbase import block_implicit_flushes
-from lp.services.librarian.interfaces import client as client_module
-from lp.services.librarian.interfaces.client import UploadFailed
 from lp.services.config import config
 from lp.services.database.lpstorm import ISlaveStore
+from lp.services.librarian import client as client_module
 from lp.services.librarian.client import (
     LibrarianClient,
     LibrarianServerError,
     RestrictedLibrarianClient,
     )
+from lp.services.librarian.interfaces.client import UploadFailed
 from lp.services.librarian.model import LibraryFileAlias
 from lp.services.webapp.dbpolicy import SlaveDatabasePolicy
 from lp.testing.layers import (

